Newsgroups: comp.databases.oracle.misc
From: ba503@torfree.net (Xuening Sun)
Subject: Q:Table designing issue?
Message-ID: <G3z8xy.F03.0.bloor@torfree.net>
Organization: Toronto Free-Net
X-Newsreader: TIN [version 1.2 PL2]
Date: Mon, 13 Nov 2000 19:03:31 GMT
Lines: 48


Hi,

 I was given a flat file which contains metadata about multimedia objects 
(video, audio, 
image and text). The file structure is created in C using nested 
"struct". I was 
asked to create new tables in Oracle database and to move the metadata 
from the 
flat file into the tables. So applications can retrieve the meta-data 
directly from
a database. The structure within the flat file looks like

struct {
 
   struct {
     unsigned char  attribute1;
     unsigned char  attribute2;
     unsigned char  attribute3;
     unsigned char  attribute4;
    }  A[26];

   struct {
     unsigned long  rate1;
     unsigned long  rate2;
    }  B[10];

   struct {
     unsigned char  attribute5;
     unsigned char  attribute6;
     unsigned char  attribute7;
     unsigned char  attribute8;
    }  C[20];

   unsigned char  flag;
   char           comments[256];
  } asset;

My question is: how do I convert the above file structures to a table(s)?


Many thanks


Xuening Sun



-- 

